/* out.h - part of clavier
 * Copyright (C) 1998 Simon Kgedal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License in the file COPYING for more details.
 */

#ifndef _OUT_H_
#define _OUT_H_

#include <sys/time.h>

typedef struct _Output Output;

struct _Output
{
  /*  FILE *outfile;*/
  int outfd;
  int is_active;
} ;


Output *output_new(void);
void output_free (Output *);

void output_write (Output *, const char *, int);
int output_open (Output *, const char *);
void output_close (Output *);

void output_noteon (Output *, int channel, int note, int vel);
void output_noteoff (Output *, int channel, int note);
void output_changeprog (Output *,int channel, int program);
void output_all_notes_off (Output *, int);

int event_next (Output *, struct timeval *waittime);

void output_donote (Output *output, int note);

#endif /* _OUT_H_ */
